package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.IconInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface IconInfoDAO {
	int insert(IconInfo entity);
	int update(IconInfo entity);
	int exist(String id);
	IconInfo get(String id);
	int delete(String id);
	List<IconInfo> list();
	List<IconInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}